Bug 1469148 - Filtering user/user groups/capsules/compute profiles/compute resources with invalid field shows Internal Error
Filtering user/user groups/capsules/compute profiles/compute resources with i...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Search (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: Tomer Brisker
Nikhil Kathole
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 09:47 EDT by Nikhil Kathole
Modified: 2018-02-21 11:49 EST (History)
5 users (show)

See Also:
Fixed In Version: foreman-1.15.3
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:49:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of UI (24.21 KB, image/png)
2017-07-10 09:52 EDT, Nikhil Kathole
no flags Details
log in production.log file (15.32 KB, text/plain)
2017-07-11 05:33 EDT, Nikhil Kathole
no flags Details
screenshot of UI (31.66 KB, image/png)
2017-08-14 01:49 EDT, Nikhil Kathole
no flags Details
log in production.log file (2.52 KB, text/plain)
2017-08-14 01:52 EDT, Nikhil Kathole
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20272 None None None 2017-07-11 07:28 EDT

  None (edit)
Description Nikhil Kathole 2017-07-10 09:47:39 EDT
Description of problem: We were trying to filter user/user groups/capsules/compute profiles/ compute resources. In filter, when we added field which was not present in list( any_string=any_string), it returned an error "Something went wrong" and log file had 500 Internal Server Error.



Version-Release number of selected component (if applicable): satellite 6.3.0 snap 6.0


How reproducible: always


Steps to Reproduce:
1. Navigate to Administer-> user/user groups/capsules/compute profiles/compute resources ( producible at any)
2. Filter as any_string=any_string 


Actual results:
Shows the error as "Something went wrong" and the log file /var/log/foreman/production.log shows 

Rendered common/500.html.erb within layouts/application (3.7ms)
2017-07-10 09:32:35 7d7c37e3 [app] [I]   Rendered layouts/_application_content.html.erb (0.5ms)
2017-07-10 09:32:35 7d7c37e3 [app] [I]   Rendered layouts/base.html.erb (2.6ms)
2017-07-10 09:32:35 7d7c37e3 [app] [I] Completed 500 Internal Server Error


Expected results: Error should be handled showing alert as "Field not recognised for searching" as happens in filtering hosts(Host -> All Hosts - > Filter ).


Additional info:
Comment 1 Nikhil Kathole 2017-07-10 09:52 EDT
Created attachment 1295840 [details]
screenshot of UI
Comment 2 Tomer Brisker 2017-07-11 05:22:37 EDT
could you please attach the entire section of production log, starting with the GET request until the 500 error, with debug enabled? I could not reproduce this upstream.
Comment 3 Nikhil Kathole 2017-07-11 05:33 EDT
Created attachment 1296144 [details]
log in production.log file
Comment 4 Tomer Brisker 2017-07-11 07:28:42 EDT
Created redmine issue http://projects.theforeman.org/issues/20272 from this bug
Comment 6 pm-sat@redhat.com 2017-07-11 08:14:49 EDT
Upstream bug assigned to tbrisker@redhat.com
Comment 7 pm-sat@redhat.com 2017-07-11 08:14:52 EDT
Upstream bug assigned to tbrisker@redhat.com
Comment 8 pm-sat@redhat.com 2017-07-11 14:15:18 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20272 has been resolved.
Comment 10 Nikhil Kathole 2017-08-14 01:48:59 EDT
VERIFIED

Version Tested:
Satellite-6.3 Snap 11

Error is properly handled showing notification alert as "Invalid search query :Field not recognised for searching" while filtering user/user groups/capsules/compute profiles/compute resources with invalid search.
Comment 11 Nikhil Kathole 2017-08-14 01:49 EDT
Created attachment 1312950 [details]
screenshot of UI
Comment 12 Nikhil Kathole 2017-08-14 01:52 EDT
Created attachment 1312951 [details]
log in production.log file
Comment 13 pm-sat@redhat.com 2018-02-21 11:49:54 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.